# Yahoo! UI Library

### yql 3.3.0

Yahoo! UI Library > yql > YQLRequest
Search:
Filters Show Private Show Protected Show Deprecated

## Class YQLRequest

Utility Class used under the hood my the YQL class

### Constructor

YQLRequest `( sql , callback , params , opts )`

Parameters:
  `sql <String>` The SQL statement to execute
  `callback <Function/Object>` The callback to execute after the query (Falls through to JSONP).
  `params <Object>` An object literal of extra parameters to pass along (optional).
  `opts <Object>` An object literal of configuration options (optional): proto (http|https), base (url)

### Properties

#### _callback - `private object`

Holder for the callback argument

#### _jsonp - `private object`

Reference to the JSONP instance used to make the queries

#### _opts - `private object`

Holder for the opts argument

#### _params - `private object`

Holder for the params argument

#### BASE_URL - `static object`

The base URL to query: query.yahooapis.com/v1/public/yql?

#### ENV - `static object`

The environment file to load: http://datatables.org/alltables.env

#### FORMAT - `static object`

Default format to use: json

#### PROTO - `static object`

Default protocol to use: http

### Methods

#### send

`void send ( )`
The method that executes the YQL Request.
Chainable: This method is chainable.

Copyright © 2011 Yahoo! Inc. All rights reserved.